Subject: bug#40191: closed (Re: [bug#40191] mesa: Support rockchip platforms)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Mar 2020 22:01:02 +0000

Your bug report

#40191: mesa: Support rockchip platforms

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40191: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40191
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40191] mesa: Support rockchip platforms
From: Vagrant Cascadian <[email-masked]>
To: Marius Bakke <[email-masked]>, [email-masked]
Date: Sun, 29 Mar 2020 15:00:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2020-03-29, Marius Bakke wrote:
> Vagrant Cascadian <[email-masked]> writes:
>
>> The attached patch enables drivers in mesa which should allow some
>> aarch64/armhf rockchip platforms (e.g. veyron-speedy, pinebook pro) to
>> make use of gpu acceleration.
>
> Awesome!  :-)
>
>> I haven't thoroughly tested this patch yet, but it does at least build
>> and produces an appropriate dri library!
>
> Sounds good.
>
>> There are almost 2000 dependent packages on mesa, so this probably needs
>> though core-updates according to current recommendations... I haven't
>> tried rebuilding all the dependent packages? FWIW, I *think* it will
>> only trigger a rebuild on aarch64/armhf.
>
> Indeed.  We are just about to start the core-updates branch, so this
> patch came just in time.  LGTM, please push!

Pushed to core-updates!

live well,
  vagrant

Subject: mesa: Support rockchip platforms
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Sun, 22 Mar 2020 21:19:37 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached patch enables drivers in mesa which should allow some
aarch64/armhf rockchip platforms (e.g. veyron-speedy, pinebook pro) to
make use of gpu acceleration.

I haven't thoroughly tested this patch yet, but it does at least build
and produces an appropriate dri library!

There are almost 2000 dependent packages on mesa, so this probably needs
though core-updates according to current recommendations... I haven't
tried rebuilding all the dependent packages? FWIW, I *think* it will
only trigger a rebuild on aarch64/armhf.

live well,
  vagrant

From d7c810c1a5b306439a47263ab294398d1382ecbe Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Sun, 22 Mar 2020 16:32:33 +0000
Subject: [PATCH] gnu: mesa: Enable rockchip support on aarch64/armhf.

* gnu/packages/gl (mesa): Enable kmsro, lima and panfrost gallium drivers.
---
 gnu/packages/gl.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index 01241cd88e..710c602a96 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -293,7 +293,7 @@ also known as DXTn or DXTC) for Mesa.")
        '(,@(match (%current-system)
              ((or "armhf-linux" "aarch64-linux")
               ;; TODO: Fix svga driver for aarch64 and armhf.
-              '("-Dgallium-drivers=etnaviv,freedreno,nouveau,r300,r600,swrast,tegra,v3d,vc4,virgl"))
+              '("-Dgallium-drivers=etnaviv,freedreno,kmsro,lima,nouveau,panfrost,r300,r600,swrast,tegra,v3d,vc4,virgl"))
              (_
               '("-Dgallium-drivers=iris,nouveau,r300,r600,radeonsi,svga,swrast,virgl")))
          ;; Enable various optional features.  TODO: opencl requires libclc,
-- 
2.20.1